Name:           cksfv
Version:        1.3.13
Release:        1%{?dist}
Summary:        Utility to manipulate SFV files

Group:          Applications/File
License:        GPLv2
URL:            http://zakalwe.fi/~shd/foss/cksfv
Source0:        http://zakalwe.fi/~shd/foss/%{name}/files/%{name}-%{version}.tar.bz2
Patch0:         %{name}-1.3.12-rpmlint.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
cksfv is a utility that can create and use SFV files. SFV (Simple File
Verification) files are used to verify file integrity using CRC32
checksums.


%prep
%setup -q
%patch0 -p0 -b .rpmlint~

# fix rpmlint warnings
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog


%build
# custom configure does not take --libdir spec
CFLAGS="%{optflags}" ./configure \
    --bindir=%{_bindir} \
    --mandir=%{_mandir} \
    --prefix=%{_prefix} \
    --package-prefix=$RPM_BUILD_ROOT
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz


%changelog
* Thu Sep 11 2008 Christopher Stone <chris.stone@gmail.com> 1.3.13-1
- Upstream sync

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> 1.3.12-3
- Autorebuild for GCC 4.3

* Sat Oct 27 2007 Christohper Stone <chris.stone@gmail.com> 1.3.12-2
- Fix rpmlint issues

* Sat Sep 08 2007 Christopher Stone <chris.stone@gmail.com> 1.3.12-1
- Upstream sync

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.3.11-2
- Rebuild for selinux ppc32 issue.

* Fri Jul 13 2007 Christopher Stone <chris.stone@gmail.com> 1.3.11-1
- Upstream sync

* Tue Mar 27 2007 Christopher Stone <chris.stone@gmail.com> 1.3.10-1
- Upstream sync

* Mon Jan 29 2007 Christopher Stone <chris.stone@gmail.com> 1.3.9-3
- Build with %%{optflags} (bug #225096)
- Remove system macros from spec
- Use $RPM_BUILD_ROOT instead of %%{buildroot}

* Wed Aug 30 2006 Christopher Stone <chris.stone@gmail.com> 1.3.9-2
- FC6 rebuild

* Tue Jun 20 2006 Christopher Stone <chris.stone@gmail.com> 1.3.9-1
- Initial release
